- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libvisio::VSDOutputElementList Class Reference

`#include <VSDOutputElementList.h>`

## Public Member Functions
| VSDOutputElementList ()
| VSDOutputElementList (const VSDOutputElementList &elementList)
VSDOutputElementList & | operator= (const VSDOutputElementList &elementList)
virtual | ~VSDOutputElementList ()
void | append (const VSDOutputElementList &elementList)
void | draw (libwpg::WPGPaintInterface *painter) const
void | addStyle (const WPXPropertyList &propList, const WPXPropertyListVector &propListVec)
void | addPath (const WPXPropertyListVector &propListVec)
void | addGraphicObject (const WPXPropertyList &propList, const ::WPXBinaryData &binaryData)
void | addStartTextObject (const WPXPropertyList &propList, const WPXPropertyListVector &propListVec)
void | addStartTextLine (const WPXPropertyList &propList)
void | addStartTextSpan (const WPXPropertyList &propList)
void | addInsertText (const WPXString &text)
void | addEndTextSpan ()
void | addEndTextLine ()
void | addEndTextObject ()
void | addStartLayer (const WPXPropertyList &propList)
void | addEndLayer ()
bool | empty () const

## Private Attributes
std::vector< VSDOutputElement * > | m_elements

## Constructor & Destructor Documentation

libvisio::VSDOutputElementList::VSDOutputElementList | ( |  | ) |

libvisio::VSDOutputElementList::VSDOutputElementList | ( | const VSDOutputElementList & | elementList | ) |

libvisio::VSDOutputElementList::~VSDOutputElementList | ( |  | ) |
| virtual

## Member Function Documentation

void libvisio::VSDOutputElementList::addEndLayer | ( |  | ) |

void libvisio::VSDOutputElementList::addEndTextLine | ( |  | ) |

void libvisio::VSDOutputElementList::addEndTextObject | ( |  | ) |

void libvisio::VSDOutputElementList::addEndTextSpan | ( |  | ) |

void libvisio::VSDOutputElementList::addGraphicObject | ( | const WPXPropertyList & | propList,
|  | const ::WPXBinaryData & | binaryData
| ) |  |

void libvisio::VSDOutputElementList::addInsertText | ( | const WPXString & | text | ) |

void libvisio::VSDOutputElementList::addPath | ( | const WPXPropertyListVector & | propListVec | ) |

void libvisio::VSDOutputElementList::addStartLayer | ( | const WPXPropertyList & | propList | ) |

void libvisio::VSDOutputElementList::addStartTextLine | ( | const WPXPropertyList & | propList | ) |

void libvisio::VSDOutputElementList::addStartTextObject | ( | const WPXPropertyList & | propList,
|  | const WPXPropertyListVector & | propListVec
| ) |  |

void libvisio::VSDOutputElementList::addStartTextSpan | ( | const WPXPropertyList & | propList | ) |

void libvisio::VSDOutputElementList::addStyle | ( | const WPXPropertyList & | propList,
|  | const WPXPropertyListVector & | propListVec
| ) |  |

void libvisio::VSDOutputElementList::append | ( | const VSDOutputElementList & | elementList | ) |

void libvisio::VSDOutputElementList::draw | ( | libwpg::WPGPaintInterface * | painter | ) | const

bool libvisio::VSDOutputElementList::empty | ( |  | ) | const
| inline

libvisio::VSDOutputElementList & libvisio::VSDOutputElementList::operator= | ( | const VSDOutputElementList & | elementList | ) |

## Member Data Documentation

std::vector<VSDOutputElement *> libvisio::VSDOutputElementList::m_elements
| private

Referenced by append(), empty(), operator=(), and VSDOutputElementList().

The documentation for this class was generated from the following files:

- VSDOutputElementList.h
- VSDOutputElementList.cpp